Technical FAQs

Ask a Question

ION Enterprise 6.0 - Client machines that do not meet minimum version requirements cannot be upgraded once the Primary has been upgraded.

Goals and Symptoms

One of the requirements to upgrade ION Enterprise Server or Client system from either v5.5 or v5.6 to v6.0, is to have Service Pack 2 (SP2) of the relevant version installed prior to the upgrade. Considering that, if an ION Enterprise Server is upgraded to v6.0 before its Client(s) are applied with SP2, this will lead to a failure in upgrading the Client(s) to v6.0. Furthermore, Client(s) will not be able to work with the Server due to a version difference, hence; it’ll be impossible to apply SP2 due this very same reason.

Causes and Fixes

: If the problem above manifests, modifying the registry key to bypass the Installer requirement would be the solution. Please note that all the changes should be made on the Client Computer. Prior to make changes, it’s recommended to create a back-up of the registry. To do so:

  • 1) Start -> Run -> Regedit to open up the Registry Editor (Client Computer).

    2) Click File -> Export and then store ‘ALL’ registries at preferred location.

Following this, the registry keys on the Client Computer can be updated simply by double-clicking to the following files:

For 5.5 Systems:


For 5.6 Systems:


Additionally, one also can manually execute the same operation if it’s preferred. To do so:

  • 1) Start -> Run -> Regedit to open up the Registry Editor (Client Computer).

    2) Navigate to HKEY_LOCAL_MACHINE\Software\Schneider Electric\ION Enterprise\5.6

    3) Create or modify the DWORD value called “ServicePack” and set it to “2” (Please refer to the screen shot)

Providing these steps are completed, now Installer should be able to proceed with the upgrade. If the problem still persists, please get in touch with Technical Support.
Was this helpful?
What can we do to improve the information ?